紧急求救!升级到6.10的过程中重启后进不了X

为当前最终发行版之前的所有版本提供支持
回复
头像
toomanystars
帖子: 168
注册时间: 2006-09-12 17:01
送出感谢: 0
接收感谢: 0

紧急求救!升级到6.10的过程中重启后进不了X

#1

帖子 toomanystars » 2006-10-18 2:24

我手动重启的,因为新的x11-common安装不上
重启后就进不去X了,用apt-get install xserver-xorg重新安装也不行(装不上,提示libxdmcp6需要比7.0.0更新的X11-common)
好像主要问题是x11-common_1%3a7.1.1ubuntu3_i386.deb这个包解压后要覆盖掉/usr/share/man/man5/Xsession.5.gz,而提示说这个文件是xinit的。

最后实在不行有没有降级的办法?
头像
toomanystars
帖子: 168
注册时间: 2006-09-12 17:01
送出感谢: 0
接收感谢: 0

#2

帖子 toomanystars » 2006-10-18 2:58

好像高定了,用nobrain说的sudo dpkg --ignore-depends=foolpak -r foolpak(foolpak是你要卸掉的文件)把libxdmcp6和xinit都卸掉,然后再apt-get -f install就行了,最后atp-get dist-upgrade就可以了,不过现在正在安装,说不定一会又出错! :shock: 这些问题应该是我升级的过程中强行中断导致的
头像
leal
帖子: 1119
注册时间: 2005-08-29 14:49
来自: 杭州
送出感谢: 0
接收感谢: 3 次
联系:

Re: 紧急求救!升级到6.10的过程中重启后进不了X

#3

帖子 leal » 2006-10-19 7:55

toomanystars 写了:我手动重启的,因为新的x11-common安装不上
重启后就进不去X了,用apt-get install xserver-xorg重新安装也不行(装不上,提示libxdmcp6需要比7.0.0更新的X11-common)
好像主要问题是x11-common_1%3a7.1.1ubuntu3_i386.deb这个包解压后要覆盖掉/usr/share/man/man5/Xsession.5.gz,而提示说这个文件是xinit的。

最后实在不行有没有降级的办法?
这是因为 7。1。1新版的 xserver-xorg根本就没有装上去,因为先前的 xserver 版本上依赖于其他软件包

一般 sudo dpkg --remove 把出错提示中出现的软件包 卸载掉,然后卸载旧的 xserver-xorg-core,并
sudo apt-get install xserver-xorg(软件包的名字好像记错了)
用心×恒 | 豆瓣 | 门户 | Blog
头像
ibear
帖子: 787
注册时间: 2006-10-19 8:43
来自: 长江口
送出感谢: 1 次
接收感谢: 2 次

#4

帖子 ibear » 2006-10-19 8:47

我昨天也尝试更新到edgy(我是把souce.list中的dapper改成edgy后,直接apt的),下载了303M的包,结果在安装这这些包的时候就出现了楼上说的问题,也是x11-common什么的不能安装:(今晚回家试试看,希望能解决!
fyfwn
帖子: 86
注册时间: 2006-03-03 18:07
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 fyfwn » 2006-10-19 9:49

二楼的问题解决了么?我升级的时候也是这个问题,后来干脆刻盘装了。
zhaolang
帖子: 29
注册时间: 2006-09-21 13:52
送出感谢: 0
接收感谢: 0

#6

帖子 zhaolang » 2006-10-19 11:30

顶一下吧
我也是进不去x。。。
头像
toomanystars
帖子: 168
注册时间: 2006-09-12 17:01
送出感谢: 0
接收感谢: 0

#7

帖子 toomanystars » 2006-10-20 4:31

按照上面的办法解决了,就是中间不断会有冲突的软件包,安上面做就行。我的splash出不来,google了一下也搞定了(好像是本论坛的)。另外对于1280x800的同胞们,设置splash时vga的值可以查看这里http://gentoo-wiki.com/HOWTO_fbsplash
回复

回到 “老旧版本支持”